
  <?php
  include_once("../header.php");
 
        include_once("../php/config.php");
        $sql = mysql_query("select * from pagos_credito where secuencia='".$_GET['id']."'") or die(mysql_error());
        $sql2 = mysql_query("select * from ingresos where id='".$_GET['id']."'") or die(mysql_error());
  // code...
 //// }
  ?>
<script>

 	if(myLevel!="Master"){
		alert("No tiene acceso a este modulo del sitema")
		window.location.href="../menu/menu.php";
		
	}
</script> 
<style>
  .form-control{
    font-size: 20px;
  }


b{
    font-size: 18px;
  }

  th{
    font-size:18px;
    text-align: left;
  }

    td{
    font-size:16px;
  }
</style>
        <div class="container" style="background:white; padding:15px;">

  <span class="text-primary" style="font-size:18px;"><i class="bi bi-cash-flow"></i> Distribucion de pago</span> 
  <a style="float:right;" href="javascript:void(0)" onClick="borrar()"><b class="text-rojo" style="font-size:15px;"><i class="bi bi-trash"></i> Anular este cobro</b></a> 
     
    <div class="row">
      <div class="col-md-12">
        
  

<div class="row">
      <div class="col-md-2  mb-2  mt-2">


         
       
 </div>


 </div>   
     <script>
   function filtrar(){
    var t = $("#txt_buscar").val();
    var fecha1 = $("#fecha1").val();
    var fecha2 = $("#fecha2").val();
    if(fecha1==""){fecha1="<?php echo $hoy?>"}
    if(fecha2==""){fecha2=fecha1}
    window.location.href="ingresos_creditos.php?filtro="+t+"&fecha1="+fecha1+"&fecha2="+fecha2;
   }
 </script> 
        <div class="table-responsive bordder p-3">
          <table class="table table-striped table-hover table-sm" data-page-length='8' style="width: 100%">
            

              <th>Fecha</th>
              <th>Secuencia</th>
              <th>Cliente</th>
              <th>Hora</th>
              <th>Monto</th>
			  <th>Monedas</th>
              <th>Aplicado por</th>
               <th>Factura</th>

              
            </thead>
            <tbody>
            <?php 
            
            	$totalPesos  = 0.00;
              $balanceDolar=0.00;
              $balanceGourde=0.00;
            while(@$r=mysql_fetch_array($sql)){
              $folio = $r["id"];
              $id = $r["id_factura"];
              $c++;
              $total+=$r["monto"];
                 
              if($r["moneda"]=="PESOS"){
                $totalPesos +=$r["monto"];
                
              }
              
              if($r["moneda"]=="USD"){
                $totalDolar +=$r["monto"];
                
              }
              
                if($r["moneda"]=="GOURDE"){
                $totalGourde+=$r["monto"];
              
              }
             
              
              ?>
              <tr>
   
                <td><span class="text-primary"><?php echo fecha($r["fecha"])?></span></td>
                <td><?php echo $r["secuencia"]?>
				<td><?php echo $r["cliente"]?>
                <td><?php echo $r["hora"]?>
                    
                </td>
                 
				  <td><?php echo $r["moneda"]." ".decimal($r["monto"])?></td>
				  <td><?php echo $r["moneda"]?></td>
				  <td><?php echo $r["usuario"]?>
				 
                  <td><?php echo $r["id_factura"]?>
              
               
             
  


              </tr>
                                                        <?php }?>
             <b>TOTAL PAGOS PESOS: <?php echo decimal($totalPesos)?> |
		    USD$: <?php echo decimal($totalDolar)?> | 
			GOURDE: <?php echo decimal($totalGourde)?>
             </table>
              
             
        </div>
      </div>
    </div>
    
        </div>
      </div>
      


          
</div>
    </div>

  <!---Modal Cliente-->
  <div class="modal" id="modalBusqueda" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h2 class="modal-title text-success" id="exampleModalLabel"><i class="fa  fa-calendar"></i> Busqueda por fecha</h2>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


      <form name="frm" action="" method="POST" id="frm">
       

        
         <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Desde</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2 font-weight-bolde" id="fecha1" name="nombre" value="">
          </div>
        </div>

         <div class="row">
          <label for="codigo" class="col-sm-3 col-form-label" >Hasta</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2" id="fecha2" name="fecha2" value="">
          </div>
        </div>

         

        
        
      </form>
      
      </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="buscar()"><i class="fa fa-w fa-save"></i> Grabar</button>


            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
id_producto="";
function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from productos where id_producto='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_producto= rs.data[i].id_producto;             
                    $("#nombre").val(rs.data[i].descripcion);
                    $("#codigo").val(rs.data[i].codigo);
                    
                    $("#id").val(rs.data[i].id_producto);
                    $("#precio").val(rs.data[i].precio);
                    $("#costo").val(rs.data[i].costo);
                    $("#stock").val(rs.data[i].stock);
                    $("#proveedor option[value='"+rs.data[i].proveedor+"']").prop('selected', true);
                }
                
            })
        }
  
  function grabar_producto(){
     if(!confirm("Seguro(a) que desea registrar este producto?")){return;}                   
    
     var nombre = $("#nombre").val();
     var codigo = $("#codigo").val();
     var precio = $("#precio").val();
     var costo = $("#costo").val();
     var stock = $("#stock").val();
     var proveedor = $("#proveedor").val();




     if(nombre=="" || codigo==""){alert('Faltan datos'); return}
    var sql="";                            
        if(id_producto==""){
            sql="INSERT INTO productos set ";
            sql+="descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'"; 
            sql+=", proveedor='"+proveedor+"'"; 
            sql+=", stock='"+stock+"'"; 

        }else{
            sql="UPDATE productos set";
            sql+=" descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'"; 
            sql+=", proveedor='"+proveedor+"'"; 
            sql+=", stock='"+stock+"'"; 
            sql+=" WHERE id_producto='"+id_producto+"'";
           
            
        }
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
         $("#modalProducto").modal('hide');
        setTimeout(function(){window.location.reload()},2000)

      }else{
          alert(data);
          
      }
       
    })
}
  



function borrar(){
     var id = "<?php echo $_GET['id']?>";
     var id_factura = "<?php echo $id?>";
 $.get("anular_cobro.php?id="+id+"&id_factura="+id_factura, function(data, st){
  if(st=="success"){
    if(data=="1"){
      alert("PAGO ELIMINADO CON EXITO...");
      window.location.reload();
    }
  }
});
}








function reimprimir(id){

    window.open('recibo_ingreso.php?id='+id, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

}
function editar(f){
///window.location.href="editar_venta.php?folio="+f;


}

$("table").DataTable({
   "language": {
            "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json"
        }
});
         
function nueva(){
    window.location.href="../drink/vender.php";
   }
        </script>

